import { Component, Inject } from '@angular/core';
import { MatDialogActions, MatDialogClose, MatDialogContent, MatDialogTitle, MAT_DIALOG_DATA, MatDialogRef } from '@angular/material/dialog';
import {MatButtonModule} from '@angular/material/button';


@Component({
  selector: 'app-file-preview-dialog',
  imports: [MatButtonModule,
    MatDialogActions,
    MatDialogClose,
    MatDialogContent,
    MatDialogTitle],
  standalone: true,
  template:`
    <h1 mat-dialog-title>Vista previa del archivo</h1>
    <div mat-dialog-content>
      <img [src]="data.imageUrl" alt="Vista previa" style="max-width: 100%; height: auto;" />
    </div>
    <div mat-dialog-actions>
      <button mat-button mat-dialog-close>Cerrar</button>
    </div>
  `
})

export class modalEvidenciaComponent {
  constructor(
    @Inject(MAT_DIALOG_DATA)
    public data: any
  ) {
    console.log(data);
  }
}
